Bug 1309969 - [abrt] gnome-shell: meta_window_get_workspaces(): gnome-shell killed by SIGABRT
[abrt] gnome-shell: meta_window_get_workspaces(): gnome-shell killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ba0241f2ffde36728adcbba6bd1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 01:23 EST by Andrew Cook
Modified: 2017-08-08 09:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:04:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.92 KB, text/plain)
2016-02-19 01:23 EST, Andrew Cook
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-19 01:23 EST, Andrew Cook
no flags Details
File: core_backtrace (5.62 KB, text/plain)
2016-02-19 01:23 EST, Andrew Cook
no flags Details
File: dso_list (24.63 KB, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details
File: environ (1.43 KB, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details
File: maps (141.57 KB, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details
File: mountinfo (4.16 KB, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details
File: open_fds (4.76 KB, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details
File: var_log_messages (17.38 KB, text/plain)
2016-02-19 01:24 EST, Andrew Cook
no flags Details

  None (edit)
Description Andrew Cook 2016-02-19 01:23:49 EST
Description of problem:
Dragged an invisible window as it was being destroyed

---

Splash screen from an application running under wine, it had not yet been drawn too and was invisible except for the drop shadows

Version-Release number of selected component:
gnome-shell-3.19.4-2.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_workspaces
executable:     /usr/bin/gnome-shell
global_pid:     2618
kernel:         4.5.0-0.rc3.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 meta_window_get_workspaces at core/window.c:5025
 #5 get_work_area_monitor at core/window.c:6051
 #6 meta_window_get_work_area_for_monitor at core/window.c:6102
 #7 update_move at core/window.c:5596
 #8 meta_window_handle_mouse_grab_op_event at core/window.c:6021
 #9 meta_display_handle_event at core/events.c:267
 #10 event_callback at core/events.c:363
 #11 _clutter_event_process_filters at clutter-event.c:1802
 #12 emit_pointer_event at clutter-main.c:2044
 #13 _clutter_process_event_details at clutter-main.c:2401

Potential duplicate: bug 1214481
Comment 1 Andrew Cook 2016-02-19 01:23:56 EST
Created attachment 1128452 [details]
File: backtrace
Comment 2 Andrew Cook 2016-02-19 01:23:57 EST
Created attachment 1128453 [details]
File: cgroup
Comment 3 Andrew Cook 2016-02-19 01:23:59 EST
Created attachment 1128454 [details]
File: core_backtrace
Comment 4 Andrew Cook 2016-02-19 01:24:01 EST
Created attachment 1128455 [details]
File: dso_list
Comment 5 Andrew Cook 2016-02-19 01:24:03 EST
Created attachment 1128456 [details]
File: environ
Comment 6 Andrew Cook 2016-02-19 01:24:04 EST
Created attachment 1128457 [details]
File: limits
Comment 7 Andrew Cook 2016-02-19 01:24:08 EST
Created attachment 1128458 [details]
File: maps
Comment 8 Andrew Cook 2016-02-19 01:24:10 EST
Created attachment 1128459 [details]
File: mountinfo
Comment 9 Andrew Cook 2016-02-19 01:24:12 EST
Created attachment 1128460 [details]
File: namespaces
Comment 10 Andrew Cook 2016-02-19 01:24:13 EST
Created attachment 1128461 [details]
File: open_fds
Comment 11 Andrew Cook 2016-02-19 01:24:15 EST
Created attachment 1128462 [details]
File: proc_pid_status
Comment 12 Andrew Cook 2016-02-19 01:24:17 EST
Created attachment 1128463 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 10:27:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Fedora End Of Life 2017-07-25 16:11:33 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Jan Kurik 2017-07-25 22:06:59 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 09:04:08 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.